Open CASCADE Technology: IGESToBRep_TopoCurve Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESToBRep_TopoCurve Class Reference

Provides methods to transfer topologic curves entities from IGES to CASCADE. More...

`#include <IGESToBRep_TopoCurve.hxx>`

Inheritance diagram for IGESToBRep_TopoCurve:
[legend]

## Public Member Functions
| IGESToBRep_TopoCurve ()
| Creates a tool TopoCurve ready to run, with epsilons set to 1.E-04, TheModeTopo to True, the optimization of the continuity to False. More...
| IGESToBRep_TopoCurve (const IGESToBRep_CurveAndSurface &CS)
| Creates a tool TopoCurve ready to run and sets its fields as CS's. More...
| IGESToBRep_TopoCurve (const IGESToBRep_TopoCurve &CS)
| Creates a tool TopoCurve ready to run and sets its fields as CS's. More...
| IGESToBRep_TopoCurve (const Standard_Real eps, const Standard_Real epsGeom, const Standard_Real epsCoeff, const Standard_Boolean mode, const Standard_Boolean modeapprox, const Standard_Boolean optimized)
| Creates a tool TopoCurve ready to run. More...
TopoDS_Shape | TransferTopoCurve (const Handle< IGESData_IGESEntity > &start)
TopoDS_Shape | Transfer2dTopoCurve (const Handle< IGESData_IGESEntity > &start, const TopoDS_Face &face, const gp_Trsf2d &trans, const Standard_Real uFact)
TopoDS_Shape | TransferTopoBasicCurve (const Handle< IGESData_IGESEntity > &start)
TopoDS_Shape | Transfer2dTopoBasicCurve (const Handle< IGESData_IGESEntity > &start, const TopoDS_Face &face, const gp_Trsf2d &trans, const Standard_Real uFact)
TopoDS_Vertex | TransferPoint (const Handle< IGESGeom_Point > &start)
TopoDS_Vertex | Transfer2dPoint (const Handle< IGESGeom_Point > &start)
TopoDS_Shape | TransferCompositeCurve (const Handle< IGESGeom_CompositeCurve > &start)
TopoDS_Shape | Transfer2dCompositeCurve (const Handle< IGESGeom_CompositeCurve > &start, const TopoDS_Face &face, const gp_Trsf2d &trans, const Standard_Real uFact)
TopoDS_Shape | TransferOffsetCurve (const Handle< IGESGeom_OffsetCurve > &start)
TopoDS_Shape | Transfer2dOffsetCurve (const Handle< IGESGeom_OffsetCurve > &start, const TopoDS_Face &face, const gp_Trsf2d &trans, const Standard_Real uFact)
TopoDS_Shape | TransferCurveOnSurface (const Handle< IGESGeom_CurveOnSurface > &start)
TopoDS_Shape | TransferCurveOnFace (TopoDS_Face &face, const Handle< IGESGeom_CurveOnSurface > &start, const gp_Trsf2d &trans, const Standard_Real uFact, const Standard_Boolean IsCurv)
| Transfers a CurveOnSurface directly on a face to trim it. The CurveOnSurface have to be defined Outer or Inner. More...
TopoDS_Shape | TransferBoundary (const Handle< IGESGeom_Boundary > &start)
TopoDS_Shape | TransferBoundaryOnFace (TopoDS_Face &face, const Handle< IGESGeom_Boundary > &start, const gp_Trsf2d &trans, const Standard_Real uFact)
| Transfers a Boundary directly on a face to trim it. More...
void | ApproxBSplineCurve (const Handle< Geom_BSplineCurve > &start)
Standard_Integer | NbCurves () const
| Returns the count of Curves in "TheCurves". More...
Handle< Geom_Curve > | Curve (const Standard_Integer num=1) const
| Returns a Curve given its rank, by default the first one (null Curvee if out of range) in "TheCurves". More...
void | Approx2dBSplineCurve (const Handle< Geom2d_BSplineCurve > &start)
Standard_Integer | NbCurves2d () const
| Returns the count of Curves in "TheCurves2d". More...
Handle< Geom2d_Curve > | Curve2d (const Standard_Integer num=1) const
| Returns a Curve given its rank, by default the first one (null Curvee if out of range) in "TheCurves2d". More...
void | SetBadCase (const Standard_Boolean value)
| Sets TheBadCase flag. More...
Standard_Boolean | BadCase () const
| Returns TheBadCase flag. More...
Public Member Functions inherited from IGESToBRep_CurveAndSurface
| IGESToBRep_CurveAndSurface ()
| Creates a tool CurveAndSurface ready to run, with epsilons set to 1.E-04, myModeTopo to True, the optimization of the continuity to False. More...
| IGESToBRep_CurveAndSurface (const IGESToBRep_CurveAndSurface &CS)
| Creates a tool CurveAndSurface ready to run and sets its fields as CS's. More...
| IGESToBRep_CurveAndSurface (const Standard_Real eps, const Standard_Real epsGeom, const Standard_Real epsCoeff, const Standard_Boolean mode, const Standard_Boolean modeapprox, const Standard_Boolean optimized)
| Creates a tool CurveAndSurface ready to run. More...
void | Init ()
| Initializes the field of the tool CurveAndSurface with default creating values. More...
void | SetEpsilon (const Standard_Real eps)
| Changes the value of "myEps". More...
Standard_Real | GetEpsilon () const
| Returns the value of "myEps". More...
void | SetEpsCoeff (const Standard_Real eps)
| Changes the value of "myEpsCoeff". More...
Standard_Real | GetEpsCoeff () const
| Returns the value of "myEpsCoeff". More...
void | SetEpsGeom (const Standard_Real eps)
| Changes the value of "myEpsGeom". More...
Standard_Real | GetEpsGeom () const
| Returns the value of "myEpsGeom". More...
void | SetMinTol (const Standard_Real mintol)
| Changes the value of "myMinTol". More...
void | SetMaxTol (const Standard_Real maxtol)
| Changes the value of "myMaxTol". More...
void | UpdateMinMaxTol ()
| Sets values of "myMinTol" and "myMaxTol" as follows myMaxTol = Max ("read.maxprecision.val", myEpsGeom * myUnitFactor) myMinTol = Precision::Confusion() Remark: This method is automatically invoked each time the values of "myEpsGeom" or "myUnitFactor" are changed. More...
Standard_Real | GetMinTol () const
| Returns the value of "myMinTol". More...
Standard_Real | GetMaxTol () const
| Returns the value of "myMaxTol". More...
void | SetModeApprox (const Standard_Boolean mode)
| Changes the value of "myModeApprox". More...
Standard_Boolean | GetModeApprox () const
| Returns the value of "myModeApprox". More...
void | SetModeTransfer (const Standard_Boolean mode)
| Changes the value of "myModeIsTopo". More...
Standard_Boolean | GetModeTransfer () const
| Returns the value of "myModeIsTopo". More...
void | SetOptimized (const Standard_Boolean optimized)
| Changes the value of "myContIsOpti". More...
Standard_Boolean | GetOptimized () const
| Returns the value of "myContIsOpti". More...
Standard_Real | GetUnitFactor () const
| Returns the value of " myUnitFactor". More...
void | SetSurfaceCurve (const Standard_Integer ival)
| Changes the value of "mySurfaceCurve". More...
Standard_Integer | GetSurfaceCurve () const
| Returns the value of " mySurfaceCurve" 0 = value in file , 2 = kepp 2d and compute 3d 3 = keep 3d and compute 2d. More...
void | SetModel (const Handle< IGESData_IGESModel > &model)
| Set the value of "myModel". More...
Handle< IGESData_IGESModel > | GetModel () const
| Returns the value of "myModel". More...
void | SetContinuity (const Standard_Integer continuity)
| Changes the value of "myContinuity" if continuity = 0 do nothing else if continuity = 1 try C1 if continuity = 2 try C2. More...
Standard_Integer | GetContinuity () const
| Returns the value of "myContinuity". More...
void | SetTransferProcess (const Handle< Transfer_TransientProcess > &TP)
| Set the value of "myMsgReg". More...
Handle< Transfer_TransientProcess > | GetTransferProcess () const
| Returns the value of "myMsgReg". More...
TopoDS_Shape | TransferCurveAndSurface (const Handle< IGESData_IGESEntity > &start)
| Returns the result of the transfert of any IGES Curve or Surface Entity. If the transfer has failed, this member return a NullEntity. More...
TopoDS_Shape | TransferGeometry (const Handle< IGESData_IGESEntity > &start)
| Returns the result of the transfert the geometry of any IGESEntity. If the transfer has failed, this member return a NullEntity. More...
void | SendFail (const Handle< IGESData_IGESEntity > &start, const Message_Msg &amsg)
| Records a new Fail message. More...
void | SendWarning (const Handle< IGESData_IGESEntity > &start, const Message_Msg &amsg)
| Records a new Warning message. More...
void | SendMsg (const Handle< IGESData_IGESEntity > &start, const Message_Msg &amsg)
| Records a new Information message from the definition of a Msg (Original+Value) More...
Standard_Boolean | HasShapeResult (const Handle< IGESData_IGESEntity > &start) const
| Returns True if start was already treated and has a result in "myMap" else returns False. More...
TopoDS_Shape | GetShapeResult (const Handle< IGESData_IGESEntity > &start) const
| Returns the result of the transfer of the IGESEntity "start" contained in "myMap" . (if HasShapeResult is True). More...
void | SetShapeResult (const Handle< IGESData_IGESEntity > &start, const TopoDS_Shape &result)
| set in "myMap" the result of the transfer of the IGESEntity "start". More...
Standard_Integer | NbShapeResult (const Handle< IGESData_IGESEntity > &start) const
| Returns the number of shapes results contained in "myMap" for the IGESEntity start ( type VertexList or EdgeList). More...
TopoDS_Shape | GetShapeResult (const Handle< IGESData_IGESEntity > &start, const Standard_Integer num) const
| Returns the numth result of the IGESEntity start (type VertexList or EdgeList) in "myMap". (if NbShapeResult is not null). More...
void | AddShapeResult (const Handle< IGESData_IGESEntity > &start, const TopoDS_Shape &result)
| set in "myMap" the result of the transfer of the entity of the IGESEntity start ( type VertexList or EdgeList). More...
void | SetSurface (const Handle< Geom_Surface > &theSurface)
Handle< Geom_Surface > | Surface () const
Standard_Real | GetUVResolution ()

## Detailed Description

Provides methods to transfer topologic curves entities from IGES to CASCADE.

## Constructor & Destructor Documentation

IGESToBRep_TopoCurve::IGESToBRep_TopoCurve | ( |  | ) |

Creates a tool TopoCurve ready to run, with epsilons set to 1.E-04, TheModeTopo to True, the optimization of the continuity to False.

IGESToBRep_TopoCurve::IGESToBRep_TopoCurve | ( | const IGESToBRep_CurveAndSurface & | CS | ) |

Creates a tool TopoCurve ready to run and sets its fields as CS's.

IGESToBRep_TopoCurve::IGESToBRep_TopoCurve | ( | const IGESToBRep_TopoCurve & | CS | ) |

Creates a tool TopoCurve ready to run and sets its fields as CS's.

IGESToBRep_TopoCurve::IGESToBRep_TopoCurve | ( | const Standard_Real | eps,
|  | const Standard_Real | epsGeom,
|  | const Standard_Real | epsCoeff,
|  | const Standard_Boolean | mode,
|  | const Standard_Boolean | modeapprox,
|  | const Standard_Boolean | optimized
| ) |  |

Creates a tool TopoCurve ready to run.

## Member Function Documentation

void IGESToBRep_TopoCurve::Approx2dBSplineCurve | ( | const Handle< Geom2d_BSplineCurve > & | start | ) |

void IGESToBRep_TopoCurve::ApproxBSplineCurve | ( | const Handle< Geom_BSplineCurve > & | start | ) |

Standard_Boolean IGESToBRep_TopoCurve::BadCase | ( |  | ) | const

Returns TheBadCase flag.

Handle< Geom_Curve > IGESToBRep_TopoCurve::Curve | ( | const Standard_Integer | num = `1` | ) | const

Returns a Curve given its rank, by default the first one (null Curvee if out of range) in "TheCurves".

Handle< Geom2d_Curve > IGESToBRep_TopoCurve::Curve2d | ( | const Standard_Integer | num = `1` | ) | const

Returns a Curve given its rank, by default the first one (null Curvee if out of range) in "TheCurves2d".

Standard_Integer IGESToBRep_TopoCurve::NbCurves | ( |  | ) | const

Returns the count of Curves in "TheCurves".

Standard_Integer IGESToBRep_TopoCurve::NbCurves2d | ( |  | ) | const

Returns the count of Curves in "TheCurves2d".

void IGESToBRep_TopoCurve::SetBadCase | ( | const Standard_Boolean | value | ) |

Sets TheBadCase flag.

TopoDS_Shape IGESToBRep_TopoCurve::Transfer2dCompositeCurve | ( | const Handle< IGESGeom_CompositeCurve > & | start,
|  | const TopoDS_Face & | face,
|  | const gp_Trsf2d & | trans,
|  | const Standard_Real | uFact
| ) |  |

TopoDS_Shape IGESToBRep_TopoCurve::Transfer2dOffsetCurve | ( | const Handle< IGESGeom_OffsetCurve > & | start,
|  | const TopoDS_Face & | face,
|  | const gp_Trsf2d & | trans,
|  | const Standard_Real | uFact
| ) |  |

TopoDS_Vertex IGESToBRep_TopoCurve::Transfer2dPoint | ( | const Handle< IGESGeom_Point > & | start | ) |

TopoDS_Shape IGESToBRep_TopoCurve::Transfer2dTopoBasicCurve | ( | const Handle< IGESData_IGESEntity > & | start,
|  | const TopoDS_Face & | face,
|  | const gp_Trsf2d & | trans,
|  | const Standard_Real | uFact
| ) |  |

TopoDS_Shape IGESToBRep_TopoCurve::Transfer2dTopoCurve | ( | const Handle< IGESData_IGESEntity > & | start,
|  | const TopoDS_Face & | face,
|  | const gp_Trsf2d & | trans,
|  | const Standard_Real | uFact
| ) |  |

TopoDS_Shape IGESToBRep_TopoCurve::TransferBoundary | ( | const Handle< IGESGeom_Boundary > & | start | ) |

TopoDS_Shape IGESToBRep_TopoCurve::TransferBoundaryOnFace | ( | TopoDS_Face & | face,
|  | const Handle< IGESGeom_Boundary > & | start,
|  | const gp_Trsf2d & | trans,
|  | const Standard_Real | uFact
| ) |  |

Transfers a Boundary directly on a face to trim it.

TopoDS_Shape IGESToBRep_TopoCurve::TransferCompositeCurve | ( | const Handle< IGESGeom_CompositeCurve > & | start | ) |

TopoDS_Shape IGESToBRep_TopoCurve::TransferCurveOnFace | ( | TopoDS_Face & | face,
|  | const Handle< IGESGeom_CurveOnSurface > & | start,
|  | const gp_Trsf2d & | trans,
|  | const Standard_Real | uFact,
|  | const Standard_Boolean | IsCurv
| ) |  |

Transfers a CurveOnSurface directly on a face to trim it. The CurveOnSurface have to be defined Outer or Inner.

TopoDS_Shape IGESToBRep_TopoCurve::TransferCurveOnSurface | ( | const Handle< IGESGeom_CurveOnSurface > & | start | ) |

TopoDS_Shape IGESToBRep_TopoCurve::TransferOffsetCurve | ( | const Handle< IGESGeom_OffsetCurve > & | start | ) |

TopoDS_Vertex IGESToBRep_TopoCurve::TransferPoint | ( | const Handle< IGESGeom_Point > & | start | ) |

TopoDS_Shape IGESToBRep_TopoCurve::TransferTopoBasicCurve | ( | const Handle< IGESData_IGESEntity > & | start | ) |

TopoDS_Shape IGESToBRep_TopoCurve::TransferTopoCurve | ( | const Handle< IGESData_IGESEntity > & | start | ) |

The documentation for this class was generated from the following file:

- IGESToBRep_TopoCurve.hxx